Name: rdesktop-ui 
Version: 1.0
Release: 10AX
License: GPL
Summary: The Red Flag Linux Remote Desktop Tools
Group: User Interface/Desktops
Source: rdesktop-ui.tar.bz2 
Source1:rdesktop-ui.desktop
Source2:rdesktop_ja.ts
Source3:rdesktop_ko.ts
Source4:rdesktop_zh_TW.ts
Source5:rdesktop_zh_CN.ts
Patch0: rdesktop-ui-1.0-changesize.patch
Patch1: rdesktop-ui-fix-notify.patch
Patch2: rdesktop-ui-1.0-passwd.patch
Requires: kernel >= 2.4.0
BuildPrereq: qt-devel >= 3.0.0 
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The Red Flag Linux Remote Desktop Tools

%prep

%setup -q -c
cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/%{name}/
cp %{SOURCE3} $RPM_BUILD_DIR/%{name}-%{version}/%{name}/
cp %{SOURCE4} $RPM_BUILD_DIR/%{name}-%{version}/%{name}/
cp %{SOURCE5} $RPM_BUILD_DIR/%{name}-%{version}/%{name}/
%patch0 -p1 -b .changesize
%patch1 -p1 -b .notify
%patch2 -p1 -b .passwd

%build
unset QTDIR && . /etc/profile.d/qt.sh
cd rdesktop-ui
qmake -project
qmake
make
lrelease rdesktop_ja.ts
lrelease rdesktop_ko.ts
lrelease rdesktop_zh_CN.ts
lrelease rdesktop_zh_TW.ts
cd -


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/default/
mkdir -p $RPM_BUILD_ROOT/usr/share/rdesktop/
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Applications/Internet/

install -m 755 rdesktop-ui/rdesktop-ui $RPM_BUILD_ROOT/usr/bin/rdesktop-ui
install -m 644 rdesktop-ui/image.png $RPM_BUILD_ROOT/usr/share/icons/default/rdesktop.png
install -m 644 rdesktop-ui/rdesktop_zh_CN.qm $RPM_BUILD_ROOT/usr/share/rdesktop/rdesktop_zh_CN.qm
install -m 644 rdesktop-ui/rdesktop_zh_TW.qm $RPM_BUILD_ROOT/usr/share/rdesktop/rdesktop_zh_TW.qm
install -m 644 rdesktop-ui/rdesktop_ja.qm $RPM_BUILD_ROOT/usr/share/rdesktop/rdesktop_ja.qm
install -m 644 rdesktop-ui/rdesktop_ko.qm $RPM_BUILD_ROOT/usr/share/rdesktop/rdesktop_ko.qm
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applnk/Applications/Internet/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/usr/bin/*
/usr/share/icons/default/*
/usr/share/rdesktop/rdesktop_zh_CN.qm
/usr/share/rdesktop/rdesktop_zh_TW.qm
/usr/share/rdesktop/rdesktop_ja.qm
/usr/share/rdesktop/rdesktop_ko.qm
/usr/share/applnk/Applications/Internet/rdesktop-ui.desktop

%changelog
* Wed Aug 03 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-10AX
- modify some Chinese messages

* Wed Jul 27 2005 Zou Pengcheng <pczou@redflag-linux.com> 1.0-9AX
- show password input as '********' instead of plain text.

* Fri Jun 24 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-8AX
- add Traditional Chinese messages

* Wed Jun 15 2005 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-7AX
- add Korean messages

* Fri Jun 10 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-6AX
- remove Packager and Vendor

* Mon Jun 06 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-5AX
- get patch from Yuan Peng that rdesktop-ui can give a warning if it can not
- connect to server

* Thu Jun  2 2005 Shiro Yamada <shiro@miraclelinux.com> 1.0-4AX
- update desktop menu

* Mon May 16 2005 Shiro Yamada <shiro@miraclelinux.com> 1.0-3AX
- add japanese messages
- resize dialogs

* Wed May 11 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-2AX
- get patch from Yuan peng that rdesktop-ui can support different language
- but now we have only Chinese.

* Tue Jan 5 2005 Yuan peng <yuanpeng@redflag-linux.com>
- Init.
